### Constructor

# GimpUi EnumStore new_with_values_valist

since: 2.4

#### Declaration [src]

    GtkListStore*
    gimp_enum_store_new_with_values_valist (
      GType enum_type,
      gint n_values,
      va_list args
    )

#### Description [src]

See gimp_enum_store_new_with_values().

Available since: 2.4

This constructor is not directly available to language bindings.

#### Parameters

`enum_type`

  Type: `GType`

  The `GType` of an enum.

`n_values`

  Type: `gint`

  The number of enum values to include.

`args`

  Type: `va_list`

  A va_list of enum values (exactly `n_values`).

#### Return value

Type: `GtkListStore`

A new `GimpEnumStore`.

The caller of the function takes ownership of the data, and is responsible for freeing it.